INNREPORT(8)

NAME
innreport - Summarize INN log files

SYNOPSIS
innreport -f config-file [-config] [-help] [-v] [-[no]archive] [-[no]casesensitive] [-[no]graph] [-[no]html] [-[no]html-unknown] [-[no]notdaily] [-[no]unknown] [-cycle num-cycle] [-dir http-dir] [-index index-file] [-maxunrec num-lines] [-path pictures-dir] [-separator char] [-webpath pictures-path] log-file [log-file ...]

DESCRIPTION
innreport is a Perl script that summarizes INN log files, with optional HTML output and graphs. It is normally invoked by scanlogs(8) which includes the output of innreport in daily Usenet reports.

Supported programs are batcher, cnfsstat, controlchan, innd, innfeed, innxbatch, innxmit, nnrpd, nntplink (an external program), overchan, perl-nocem and rnews.

innreport also updates the count of newsgroups not locally carried by the news server, and for which articles have been received, in the unwanted.log log file. If that update should not be done, as it should occur only once a day while parsing daily logs, the -notdaily flag should be given to innreport.

If you want innreport to generate graphs in its HTML reports, you need the Perl graphic library GD.pm.

At least one non-empty log file to parse should be given at the end of the command line invoking innreport.

OPTIONS
Only one option is mandatory:

-f config-file
    Full path to the configuration file. It is usually innreport.conf in pathetc, but there is no default value. This file lists the options to use for the report. The options given in command line when calling innreport take precedence over the ones in the configuration file.

The other options are optional. Prepending "no" in front of boolean options permits unsetting them. For example, use -nograph to remove the feature -graph enables.

-archive or -a
    Sets whether HTML pages and graphs should be archived if HTML reports are enabled. When this option is set, which is the default, a date will be added in the file name of each report and each graph. Otherwise, only the latest HTML report is kept.

-casesensitive
    Whether to do case sensitive searches in news log files for predetermined patterns. This option is enabled by default.

-config
    Prints to standard output configuration information for innreport, and exits.

-cycle or -c num-cycle
    Sets how many report files should be kept if HTML reports are enabled and archived. The default is 0, meaning all archives are kept.

-dir or -d http-dir
    Sets the directory for web pages if HTML reports are enabled. The default is the value of pathhttp as set in inn.conf.

-graph or -g
    If the Perl graphic library GD.pm is installed and HTML reports are enabled, graphs are also generated in PNG if supported by "GD", which is the case in modern versions (GIF will otherwise be generated). The default is to enable graph generation.

-help or -h
    Prints to standard output a help message with all the options recognized by innreport, and exits.

-html
    Besides the plain text report printed to standard output, innreport generates HTML reports if this option is enabled. This option is disabled by default (that is to say -nohtml is the default).

-html-unknown
    Whether to report unknown entries from news log files in HTML reports, when enabled. This option takes by default the same value as the one for text plain reports (as set with the unknown option).

-index or -i
    Sets the name of the index web page if HTML reports are enabled. The default is "index.html".

-maxunrec num-lines
    How many unrecognized entries from news log files to report, when the -unknown or -html-unknown options are set. The default is 50. Using "-1" means there is no limit.

-notdaily
    Whether to defer daily actions for this run of innreport. Some actions should be performed only once a day for a log file (notably unwanted.log). This option is disabled by default, meaning that all actions are always done, as we assume a default setup of running scanlogs daily.

-path or -p pictures-dir
    Sets the directory for pictures if HTML reports are enabled, and graphs are wanted. The default is pathhttp/pics.

    If both -dir and -webpath are used, and -path isn't, the directory used for pictures defaults to http-dir as set with -dir/pictures-path as set with -webpath.

-separator or -s char
    Sets the separator between hours, minutes and seconds in file names if HTML reports are enabled and archived. The default is "." as ":" may not be properly read by all web browsers. Be careful not to use "/" as a separator, and to use only a valid file name character.

-unknown
    Whether to report unknown entries from news log files in plain text reports. This option is enabled by default.

-v  Prints to standard output the version number of innreport, and exits.

-webpath or -w pictures-path
    Sets the web path for pictures in HTML pages if HTML reports are enabled, and graphs are wanted. The default is "pics". It can be a relative path or an absolute path. If an absolute path is used, you have to set -path appropriately; otherwise it will not be computed right.

HISTORY
Written by Fabien Tassin <fta@sofaraway.org> for InterNetNews. Rewritten into POD by Julien Elie.

SEE ALSO
innreport.conf(5), news.daily(8), newslog(5), scanlogs(8).